﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace Tehnikum
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            //this.Loaded += new RoutedEventHandler(Page_Loaded);
            this.DataContext = App.minuPeaVaateMudel;
        }
        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            if (!App.minuPeaVaateMudel.KasAndmedOnLaetud)
            {
                App.minuPeaVaateMudel.LaeAndmed();
            }
            //UudisList.ItemsSource = App.minuPeaVaateMudel.Uudised;
            
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/DetailPage.xaml", UriKind.Relative));
        }

        private void Aadress_Click(object sender, RoutedEventArgs e)
        {
            BingMapsTask kaart = new BingMapsTask();
            kaart.SearchTerm = "Rävala pst 5, Tallinn";
            kaart.ZoomLevel = 15;
            kaart.Show();
        }

        private void Direktor_Click(object sender, RoutedEventArgs e)
        {
            PhoneCallTask direktorCall = new PhoneCallTask();
            direktorCall.PhoneNumber = "68372636";
            direktorCall.DisplayName = "Direktor";
            direktorCall.Show();
        }

        private void Juhataja_Click(object sender, RoutedEventArgs e)
        {
            PhoneCallTask juhatajaCall = new PhoneCallTask();
            juhatajaCall.PhoneNumber = "9002000";
            juhatajaCall.DisplayName = "Juhataja";
            juhatajaCall.Show();
        }

        private void Internet_Click(object sender, RoutedEventArgs e)
        {
            WebBrowserTask wbtask = new WebBrowserTask();
            wbtask.Uri = new Uri("http://www.kool.ee/", UriKind.Absolute);
            wbtask.Show();
        }

        private void Email_Click(object sender, RoutedEventArgs e)
        {
            EmailComposeTask ect = new EmailComposeTask();
            ect.To = "info@kool.ee";
            ect.Subject = "Kooli infopäring";
            ect.Body = "Siia kirjuta tekst";
            ect.Show();
        }

        private void UudisList_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (UudisList.SelectedIndex != -1)
            {
                NavigationService.Navigate(new Uri("/DetailPage.xaml?indeks=" + UudisList.SelectedIndex, UriKind.Relative));
                UudisList.SelectedIndex = -1;
            }
        }
    }
}